Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface StepWorkAction

All Superinterfaces:
  Action, Comparable, EventSource, NamedIndexedObject, NamedObject, Serializable, StepAction, WorkAction

All Known Subinterfaces:
  AssignToNextUserAction

    public interface StepWorkAction

extends StepAction, WorkAction

Represents an action that may be taken while the step containing this action is the current step for a task based on the task plan containing the step.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.taskplan.WorkAction
`WorkAction.Event`

Method Summary
`boolean` | `isSelfTransition()`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.StepAction
`getStep`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Action
`addPropertyRef, addPropertyRef, getActionContainer, getPropertyNames, getPropertyRefs, removePropertyRef, removePropertyRef, setPropertyRefs`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.WorkAction
`getNextStep, getNextStepName, getSourceActionConnector, setNextStep`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Action
`addPropertyRef, addPropertyRef, getActionContainer, getPropertyNames, getPropertyRefs, removePropertyRef, removePropertyRef, setPropertyRefs`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### isSelfTransition

    boolean isSelfTransition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD